<?php

// Copyright (C) 2003 LAB Valentin <vaab@free.fr>
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//  
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//  
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//  

$options=explode(" ","action");
reset($options);
while (list ($key, $val) = each ($options))
{
  if (array_key_exists($val,$_REQUEST))
    {
      ${$val}=$_REQUEST[$val];
    };
};

function display_error($string)
{
  echo "<B>Install Error</B><BR>";
  echo "<PRE>$string</PRE><BR>";
};


if ($action == "")
     $action = "view";

// == first check

// - config.inc

if (!file_exists("config.inc"))
{
  display_error(<<<EOF
File 'config.inc' not found.
This file must be in the same directory than the 'index.php' generating this
page. 'config.inc' contains the local configurations, and specifies the
different working directory of phpview.
<B>You Must correct this error for phpview to work properly</B>
EOF
);
 exit(1);
};

include_once("config.inc");

// -- IS base_rep a directory

if (!is_dir($base_rep))
{
  display_error(<<<EOF
Directory base_rep : '$base_rep' not found.
This directory should point on a valid directory. base_rep should be set to
your root image directory to be presented by phpview...
<B>You Must correct this error for phpview to work properly</B>
EOF
);
 exit(1);
};










if (!file_exists("$include_path/lang.inc"))
{
  display_error(<<<EOF
File 'lang.inc' not found in include path specified as : '$include_path'
Check that the specified include path is correct. If not, modify 'config.inc'
to match correct value.
<B>You Must correct this error for phpview to work properly</B>
EOF
		);

  exit(1);
};

include_once("$include_path/lang.inc");

if ($action == "view")
{

  // - viewer.php

  if (!file_exists("$include_path/$viewer_name"))
    {
      display_error(<<<EOF
File '$viewer_name' not found in include path specified as : '$include_path'
Check that the specified include path is correct. If not, modify 'config.inc'
to match correct value.
<B>You Must correct this error for phpview to work properly</B>
EOF
		    );
      exit(1);
    };
 
  include_once("$include_path/$viewer_name");
  exit(0);
};

if ($action == "thumb")
{

  if (!file_exists("$include_path/$thumbs_name"))
    {
      display_error(<<<EOF
File '$thumbs_name' not found in include path specified as : '$include_path'
Check that the specified include path is correct. If not, modify 'config.inc'
to match correct value.
<B>You Must correct this error for phpview to work properly</B>
EOF
		    );

      exit(1);
    };

  include_once("$include_path/$thumbs_name");
  exit(0);
};


?>
